function p.get_mesh() return "bent_ammo_gun_2_large" end
function p.get_mesh2() return "gun_2_incr_num_shots" end

function p.payload(level, bp)
    ga_srand(ga_block_seed_pos(level, bp))
    game_upgrades.cannon_num()
    game_bent.remove_perm(level, bp)
end

function p.on_touch(level, bp)
    p.payload(level, bp)
end

function p.get_can_use(level, bp)
    return true
end

function p.get_use_msg(level, bp)
    return "Cannon Num Shots"
end

function p.on_use(level, bp)
    p.payload(level, bp)
end

function p.on_telekinesis(level, bp)
    p.payload(level, bp)
end
